karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Achim Nierbeck (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (KARAF-4186) Upgrade Karaf java service wrapper dependency to 3.3.0 or higher
Date Thu, 10 Dec 2015 14:25:11 GMT

     [ https://issues.apache.org/jira/browse/KARAF-4186?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Achim Nierbeck resolved KARAF-4186.
-----------------------------------
    Resolution: Won't Fix

As the tanukis-soft service wrapper changed the licenses which are incompatible to the ASL2,
an upgrade to a higher version of the service wrapper isn't possible. 

> Upgrade Karaf java service wrapper dependency to 3.3.0 or higher
> ----------------------------------------------------------------
>
>                 Key: KARAF-4186
>                 URL: https://issues.apache.org/jira/browse/KARAF-4186
>             Project: Karaf
>          Issue Type: Dependency upgrade
>          Components: karaf-core
>    Affects Versions: 4.0.3
>         Environment: all
>            Reporter: Davy Vanherbergen
>
> When karaf is launched as a service using the java service wrapper, it ignores any environment
and JVM settings defined in the setenv script. 
> As of version 3.3.0 of the java service wrapper, it becomes possible to execute commands
when certain events occur, e.g. wrapper start, pre-jvmlaunch, etc.
> This would allow a karat-wrapper.conf configuration which would first execute the setenv
script and then start karaf, so that the settings are used.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message